package com.shkj.wms.controller.base;


import com.baomidou.mybatisplus.extension.api.ApiController;
import com.shkj.common.core.domain.Result;
import com.shkj.wms.domain.BaseInventoryRatio;
import com.shkj.wms.service.BaseInventoryRatioService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * (BaseInventoryRatio)表控制层
 *
 * @author Comair
 * @since 2024-01-17 14:35:05
 */
@RestController
@RequestMapping("/wms/baseInventoryRatio")
public class BaseInventoryRatioController extends ApiController {
    /**
     * 服务对象
     */
    @Resource
    private BaseInventoryRatioService baseInventoryRatioService;

    /**
     * 查询所有数据
     *
     * @return 所有数据
     */
    @GetMapping("/list")
    public Result<List<BaseInventoryRatio>> selectAll() {
        return Result.ok().data(this.baseInventoryRatioService.selectAll());
    }

    /**
     * 新增数据
     *
     * @param baseInventoryRatio 实体对象
     * @return 新增结果
     */
    @PostMapping("/add")
    public Result<Boolean> insert(@RequestBody BaseInventoryRatio baseInventoryRatio) {
        return this.baseInventoryRatioService.save(baseInventoryRatio) == true ? Result.ok() : Result.err();
    }

    /**
     * 修改数据
     *
     * @param baseInventoryRatio 实体对象
     * @return 修改结果
     */
    @PostMapping("/edit")
    public Result<Boolean> update(@RequestBody BaseInventoryRatio baseInventoryRatio) {
        return this.baseInventoryRatioService.updateById(baseInventoryRatio) == true ? Result.ok() : Result.err();
    }

    /**
     * 删除数据
     *
     * @param id 主键结合
     * @return 删除结果
     */
    @PostMapping("/delete")
    public Result<Boolean> delete(@RequestParam("id") Long id) {
        BaseInventoryRatio baseInventoryRatio = this.baseInventoryRatioService.getById(id);
        baseInventoryRatio.setIsDel(1);
        return this.baseInventoryRatioService.updateById(baseInventoryRatio) == true ? Result.ok() : Result.err();
    }
}

